package repo

import (
	"context"
	"voucher/internal/biz/bo"
)

type MultiNotifyDataRepo interface {
	FindNoticeNumZero(ctx context.Context, fun func(ctx context.Context, rows []*bo.MultiNotifyDataBo) error) error
	Create(ctx context.Context, req *bo.MultiNotifyDataBo) (*bo.MultiNotifyDataBo, error)
	GetByID(ctx context.Context, id int64) (*bo.MultiNotifyDataBo, error)
	GetByNotifyID(ctx context.Context, source, notifyId string) (*bo.MultiNotifyDataBo, error)
	AddNoticeNum(ctx context.Context, id int64) error
}
